<?php
namespace Wovnio\Wovnwp;
class Constants {
	static $wovn_api_url = 'https://wovn.global.ssl.fastly.net/v0/translation/';
	/**
	 * The lang class contains the langs supported by wovn in this form
	 */
	static $langs = array(
		'ar' => array('name' => 'العربية',          'code' => 'ar',     'iso639-1' => 'ar',      'en' => 'Arabic'),
		'bg' => array('name' => 'Български',        'code' => 'bg',     'iso639-1' => 'bg',      'en' => 'Bulgarian'),
		'zh-CHS' => array('name' => '简体中文',      'code' => 'zh-CHS', 'iso639-1' => 'zh-Hans', 'en' => 'Simp Chinese'),
		'zh-CHT' => array('name' => '繁體中文',      'code' => 'zh-CHT', 'iso639-1' => 'zh-Hant', 'en' => 'Trad Chinese'),
		'da' => array('name' => 'Dansk',            'code' => 'da',     'iso639-1' => 'da',      'en' => 'Danish'),
		'nl' => array('name' => 'Nederlands',       'code' => 'nl',     'iso639-1' => 'nl',      'en' => 'Dutch'),
		'en' => array('name' => 'English',          'code' => 'en',     'iso639-1' => 'en',      'en' => 'English'),
		'fi' => array('name' => 'Suomi',            'code' => 'fi',     'iso639-1' => 'fi',      'en' => 'Finnish'),
		'fr' => array('name' => 'Français',         'code' => 'fr',     'iso639-1' => 'fr',      'en' => 'French'),
		'de' => array('name' => 'Deutsch',          'code' => 'de',     'iso639-1' => 'de',      'en' => 'German'),
		'el' => array('name' => 'Ελληνικά',         'code' => 'el',     'iso639-1' => 'el',      'en' => 'Greek'),
		'he' => array('name' => 'עברית',            'code' => 'he',     'iso639-1' => 'he',      'en' => 'Hebrew'),
		'id' => array('name' => 'Bahasa Indonesia', 'code' => 'id',     'iso639-1' => 'id',      'en' => 'Indonesian'),
		'it' => array('name' => 'Italiano',         'code' => 'it',     'iso639-1' => 'it',      'en' => 'Italian'),
		'ja' => array('name' => '日本語',            'code' => 'ja',     'iso639-1' => 'ja',      'en' => 'Japanese'),
		'ko' => array('name' => '한국어',             'code' => 'ko',     'iso639-1' => 'ko',      'en' => 'Korean'),
		'ms' => array('name' => 'Bahasa Melayu',    'code' => 'ms',     'iso639-1' => 'ms',      'en' => 'Malay'),
		'my' => array('name' => 'ဗမာစာ',          'code' => 'my',     'iso639-1' => 'my',      'en' => 'Burmese'),
		'ne' => array('name' => 'नेपाली भाषा',         'code' => 'ne',     'iso639-1' => 'ne',      'en' => 'Nepali'),
		'no' => array('name' => 'Norsk',            'code' => 'no',     'iso639-1' => 'no',      'en' => 'Norwegian'),
		'pl' => array('name' => 'Polski',           'code' => 'pl',     'iso639-1' => 'pl',      'en' => 'Polish'),
		'pt' => array('name' => 'Português',        'code' => 'pt',     'iso639-1' => 'pt',      'en' => 'Portuguese'),
		'ru' => array('name' => 'Русский',          'code' => 'ru',     'iso639-1' => 'ru',      'en' => 'Russian'),
		'es' => array('name' => 'Español',          'code' => 'es',     'iso639-1' => 'es',      'en' => 'Spanish'),
		'sv' => array('name' => 'Svensk',           'code' => 'sv',     'iso639-1' => 'sv',      'en' => 'Swedish'),
		'th' => array('name' => 'ภาษาไทย',          'code' => 'th',     'iso639-1' => 'th',      'en' => 'Thai'),
		'hi' => array('name' => 'हिन्दी',              'code' => 'hi',     'iso639-1' => 'hi',      'en' => 'Hindi'),
		'tr' => array('name' => 'Türkçe',           'code' => 'tr',     'iso639-1' => 'tr',      'en' => 'Turkish'),
		'uk' => array('name' => 'Українська',       'code' => 'uk',     'iso639-1' => 'uk',      'en' => 'Ukrainian'),
		'vi' => array('name' => 'Tiếng Việt',       'code' => 'vi',     'iso639-1' => 'vi',      'en' => 'Vietnamese'),
	);

  static $url_pattern_names = array('query', 'path', 'subdomain');
}
