<?php
namespace Wovnio\Wovnwp;
require_once( 'constants.php' );
require_once( 'wp-classes/url.php' );

class UrlRewrite
{
	/**
	 * Start up
	 */
	public function __construct()
	{
			add_action( 'init', array( $this, 'add_wovn_rewrite_rule' ) );
			add_action( 'plugins_loaded', array( $this, 'redirect_admin_lang_path' ), 0 );
			add_action( 'plugins_loaded', array( $this, 'add_lang_code_to_redirections'), 0 );
			// If you want to check rewrite_rules, Use below.
			// add_filter('mod_rewrite_rules', array( $this, 'check_htaccess' ));
	}

	function add_wovn_rewrite_rule() {
		$options = get_option( 'wovn_options' );
		if ($options['wovn_url_pattern_name'] == 'path') {
			$lang_path_regexp = '/?(?:' . join('|', $options['wovn_supported_langs']) . ')($|/.*$)';
			add_rewrite_rule(
				$lang_path_regexp,
				'index.php$1',
				'top'
			);
		}
	}

	// If admin url has lang path, redirect to original url
	function redirect_admin_lang_path() {
		if (preg_match('/\/(' . join('|', array_keys(Constants::$langs)) .')\/wp-admin(\/|$)/i', $_SERVER['REQUEST_URI'])) {
			$actual_link = (isset($_SERVER['HTTPS']) ? 'https' : 'http') . '://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
			$lang_path_regexp = '/\/(' . join('|', array_keys(Constants::$langs)) .')(\/|$)/i';
			$redirect_url = preg_replace($lang_path_regexp, '/', $actual_link, 1);
			header("Location: {$redirect_url}");
			exit;
		}
	}

	function add_lang_code_to_redirections() {
    if (!isset($_SERVER['HTTP_REFERER'])) {
      return;
    }
    $options = get_option( 'wovn_options' );
    $lang = WpClasses\Url::path_lang_code($_SERVER['HTTP_REFERER'], $options['wovn_url_pattern_name']);
    $location_headers = array('location', 'Location');
    $response_headers = headers_list();
    foreach ($location_headers as $location_header) {
      if (array_key_exists($location_header, $response_headers)) {
        $redirect_location = $response_headers[$location_header];
        $new_location = htmlentities(WpClasses\Url::add_lang_code($redirect_location, $options['wovn_url_pattern_name'], $lang, $options['wovn_default_lang']));
        wp_redirect($new_location);
        exit;
      }
    }
	}

	//
	// @TODO 納品時には消す
	//
	function check_htaccess( $rules ){
		print_r("mod_rewrite_rules =>" . $rules);
		return $rules;
	}
}

new UrlRewrite();
