<?php
namespace Wovnio\Wovnwp;

require_once( 'constants.php' );
require_once( 'wp-classes/swapper.php' );
require_once( 'wp-classes/file_get_content_handler.php' );
require_once( 'wp-classes/html_converter.php' );
require_once( 'wp-classes/url.php' );
require_once( 'wp-classes/lang.php' );

use Wovnio\Wovnwp\WpClasses\FileGetContentHandler;

class Translate
{
	private $swapper;

	public function __construct()
	{
		$accessed_url = (isset($_SERVER['HTTPS']) ? 'https' : 'http') . '://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
		$options = get_option( 'wovn_options' );
		$request_variables = array(
			"HTTP_HOST" => isset($_SERVER["HTTP_HOST"]) ? $_SERVER["HTTP_HOST"] : '',
			"REQUEST_URI" => isset($_SERVER["REQUEST_URI"]) ? $_SERVER["REQUEST_URI"] : '',
			"QUERY_STRING" => isset($_SERVER["QUERY_STRING"]) ? $_SERVER["QUERY_STRING"] : '',
			"WOVN_QUERY" => isset($_GET["wovn"]) ? $_GET["wovn"] : ''
		);
		$this->swapper = new WpClasses\Swapper($accessed_url, $options, $request_variables, new FileGetContentHandler());

		add_action( 'plugins_loaded', array( $this, 'set_lang_and_original_url' ), 1 );
		add_action( 'plugins_loaded', array( $this, 'validate' ), 2 );
		// Do not translate in admin paga
		if( !is_admin() ) {
			add_action( 'plugins_loaded', array( $this, 'buffer_start' ), 3 );
			add_action( 'shutdown', array( $this, 'buffer_stop' ), 1000 );
		}
	}

	function set_lang_and_original_url() {
		$changed_uri = $this->swapper->set_lang_and_original_url();
		if ($changed_uri) {
			$_SERVER['REQUEST_URI'] = $changed_uri;
		}
	}

	// validation
	function validate() {
		$this->swapper->validate();
	}

	function buffer_start() {
		ob_start(array( $this, 'buffer_callback' ));
	}

	function buffer_callback($buffer){
		return $this->swapper->swap_html($buffer);
	}

	function buffer_stop() {
		ob_end_flush();
	}
}

new Translate();
