<?php
namespace Wovnio\Wovnwp\WpClasses;

use Wovnio\Wovnwp\Constants;

class Lang {
	/**
	 * Provides the ISO639-1 code for a given lang code.
	 * Source: https://support.google.com/webmasters/answer/189077?hl=en
	 *
	 * @param String $lang_code Code of the language.
	 *
	 * @return String The ISO639-1 code of the language.
	 */
	public static function iso639_1_normalization($lang_code)
	{
		if (isset(Constants::$langs[$lang_code])) {
			return Constants::$langs[$lang_code]['iso639-1'];
		} else {
			return null;
		}
	}

	public static function browser_lang()
	{
		$browser_lang = '';
		if (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
			$http_accept_lang = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
		}
		else {
			$http_accept_lang = '';
		}
		$accept_langs = preg_split('/[,;]/', $http_accept_lang);
		foreach ($accept_langs as $l) {
			if (isset(Constants::$langs[$l])) {
				$browser_lang = $l;
				break;
			}
		}
		return $browser_lang;
	}
}
